stamp_paint_enums = custom_target('stamp-paint-enums.h',
  input : [
    files(
      'paint-enums.h'
    ),
  ],
  output: [ 'stamp-paint-enums.h', ],
  command: [
    mkenums_wrap, perl,
    meson.project_source_root(), meson.current_source_dir(),
    meson.current_build_dir(),
    'paint-',
    '#include <gio/gio.h>\n'              +
    '#include "libpikabase/pikabase.h"\n',
    '#include "pika-intl.h"'
  ],
  build_by_default: true
)

libapppaint_sources = [
  'pika-paint.c',
  'pikaairbrush.c',
  'pikaairbrushoptions.c',
  'pikabrushcore-loops.cc',
  'pikabrushcore.c',
  'pikaclone.c',
  'pikacloneoptions.c',
  'pikaconvolve.c',
  'pikaconvolveoptions.c',
  'pikadodgeburn.c',
  'pikadodgeburnoptions.c',
  'pikaeraser.c',
  'pikaeraseroptions.c',
  'pikaheal.c',
  'pikaink-blob.c',
  'pikaink.c',
  'pikainkoptions.c',
  'pikainkundo.c',
  'pikamybrushcore.c',
  'pikamybrushoptions.c',
  'pikamybrushsurface.c',
  'pikapaintbrush.c',
  'pikapaintcore-loops.cc',
  'pikapaintcore-stroke.c',
  'pikapaintcore.c',
  'pikapaintcoreundo.c',
  'pikapaintoptions.c',
  'pikapencil.c',
  'pikapenciloptions.c',
  'pikaperspectiveclone.c',
  'pikaperspectivecloneoptions.c',
  'pikasmudge.c',
  'pikasmudgeoptions.c',
  'pikasourcecore.c',
  'pikasourceoptions.c',

  'paint-enums.c',
  stamp_paint_enums,
]

libapppaint = static_library('apppaint',
  libapppaint_sources,
  include_directories: [ rootInclude, rootAppInclude, ],
  c_args: '-DG_LOG_DOMAIN="Pika-Paint"',
  dependencies: [
    cairo, gegl, gdk_pixbuf, libmypaint,
  ],
)
